## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class NamedValueType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.NamedValueType

    public class NamedValueType

extends java.lang.Object

The documentation type for named values.
Created on: Jun 12, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Constructor Summary
`NamedValueType()`
`NamedValueType(java.lang.String name, java.lang.String value)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String name)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedValueType

    public NamedValueType()

### NamedValueType

    public NamedValueType(java.lang.String name,
                          java.lang.String value)

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - the name to set

### getValue

    public java.lang.String getValue()

  Returns:
    the value

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` - the value to set

Copyright © 2017 Oracle Corporation. All Rights Reserved.